Table of Contents

FlyerKit API (v3.0)

This document specifies an API to access Flipp's publication data for use in merchant or publisher applications. The API is a set of HTTPS endpoints rooted at https://api.flipp.com/flyerkit/v3.0. The API allows cross-origin requests using CORS.

Encoding and Types

All responses are encoded in JSON. In addition to the standard JSON types, the following extended types are used in this document to describe parameters and response values:

Type JSON Type Examples Encoding
Integer Number 231
Float Number 231.313
URL String "https://foo.com" RFC 3986
Locale String "en-US", "en-CA", "fr-CA" BCP 47
Date String "2011-02-14T19:06:43Z" ISO 8601
Decimal String "42.43"
Zip String "90210", "90210-2311", "L1M2D4", "v6b 1t1"

Types suffixed with ? are optional and may be omitted.

Changes in v3.0

Coupons Integration

The /products and /product endpoint now include any matched coupons to the respective items returned from the request. In addition, you can now get a loyalty card's list of clipped coupons and clip any new coupons found in the current publication.

URL Change

The API URLs now have to include the version number (v3.0).

Before:

https://api.flipp.com/flyerkit/publication/YYYYYYY/pages

After:

https://api.flipp.com/flyerkit/v3.0/publication/YYYYYYY/pages

Renamed Fields

The following tables list the fields that have been renamed for clarity.

Products Endpoint

Previous Name New Name
custom1 custom_id_field_1
custom2 custom_id_field_2
custom3 custom_id_field_3
ttm_url web_url
show_url web_commission_url
hosted_barcode_image hosted_coupon_image
dist_barcode_image distribution_coupon_image

Product Endpoint

Previous Name New Name
custom1 custom_id_field_1
custom2 custom_id_field_2
custom3 custom_id_field_3
ttm_url web_url

New Fields

Endpoint Field Name
products page_destination
products video_type
product video_url
product hosted_coupon_image
product video_type

Renamed Endpoints

The tags endpoint has been renamed to highlights.

Removed Fields

In the products endpoint, the direct_url field was removed, since it was a duplicate of web_url (previously ttm_url).

New Endpoints

The /flyerkit/v3.0/stores/:merchant_identifier endpoint was added to v3.0. This endpoint needs a postal/zip code and a merchant identifier in order to return a list of the five closest stores to the postal/zip code.

Security

Each endpoint must be protected via an access_token argument to authorize the request. This is used to attribute API usage to a particular client but is not intended as a security mechanism. All data available through the API is publicly available information. The access_token is used to ensure that only the intended merchant's data is filtered through the API.

To obtain an access token, contact your Flipp account manager.

Example URL with access_token:

https://api.flipp.com/flyerkit/v3.0/publication/YYYYYYY/pages?access_token=XXXXXXX

Errors

A 422 Unprocessable Entity response is sent when request parameters are missing or invalid. The response will be a JSON object with a message field explaining the error. The message is not intended for displaying to the users and is not localized. For example, a request with an invalid merchant_identifier would receive:

$ curl -i https://api.flipp.com/flyerkit/v3.0/publications/bad_merchant_identifier?locale=en-CA&store_code=123

Cache-Control: no-cache
Content-Type: application/json; charset=utf-8
Date: Fri, 11 Dec 2015 16:00:37 GMT
Server: nginx
Status: 422 Unprocessable Entity
X-Rack-Cache: miss
X-Request-Id: 461bb26508f827ffa5913e5ad7d71938
X-Runtime: 0.001900
X-UA-Compatible: IE=Edge,chrome=1
Content-Length: 57
Connection: keep-alive

{"message":"Invalid merchant_identifier","code":"422"}

Publication Content Space

Some responses include coordinates that refer to points or rectangles within the publication. This space has its origin in the top left corner, with positive x to the right and positive y below.

GET /flyerkit/v3.0/publications/:merchant_identifier

Returns the list of publications for a given store code or postal code.

If a store code is given, publications are selected using the store's location. Otherwise, publications are chosen using the given postal code. If a store code and postal code are provided, the store code takes precedence.

The validity dates of a publication specify the time the content (sales, pricing, etc) is valid for. The availability dates specify the time that the publication should be accessible within an application.

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.
locale Locale Available locales are en-CA, en-US, fr-CA.
store_code String? Optional if postal_code is provided.
postal_code Zip? Optional if store_code is provided.

URL Parameters

URL Parameter Type Notes
:merchant_identifier String Flipp's merchant name identifier.

Response

Field Type Description
id Integer Unique identifier for the publication.
flyer_run_id Integer ID for the circular.
name String Localized publication name.
flyer_type String Flipp's name identifier of the type of flyer.
flyer_type_id Integer Unique identifier for the type of flyer.
total_pages Integer Total number of pages in the flyer.
external_display_name String Localized publication external display name.
locale Locale The publication's locale.
postal_code String The given postal code or postal code of given store.
valid_from Date The start of the validity period.
valid_to Date The end of the validity period.
available_from Date The start of the availability period.
available_to Date The end of the availability period.
thumbnail_image_url URL A thumbnail image intended for a listing.
first_page_thumbnail_url URL The first page thumbnail of the flyer. Height is 2000px.
first_page_thumbnail_150h_url URL The first page thumbnail. Height is 150px
first_page_thumbnail_400h_url URL The first page thumbnail. Height is 400px
first_page_thumbnail_2000h_url URL The first page thumbnail. Height is 2000px
correction_notices Array Array of Correction Notices.

Correction Notices Array

Field Type Description
html String HTML content of the correction notice.
image_url URL Image associated with the correction notice.

Example

$ curl 'https://api.flipp.com/flyerkit/v3.0/publications/MERCHANT_IDENTIFIER?postal_code=90210&locale=en-US&access_token=3'
[
  {
    "id": 348864,
    "flyer_run_id": 47315,
    "name": "Mailer",
    "flyer_type": "mailer",
    "flyer_type_id": 12234,
    "total_pages": 13,
    "external_display_name": "Mailer",
    "locale": "en",
    "postal_code": "07866",
    "valid_from": "2015-03-16T00:00:00-04:00",
    "valid_to": "2016-01-30T23:59:00-05:00",
    "available_from": "2015-03-16T01:00:00-04:00",
    "available_to": "2016-01-31T00:59:00-05:00",
    "thumbnail_image_url": "https://f.wishabi.net/flyers/348864/l_thumbnail/1425009356.jpg",
    "first_page_thumbnail_url": "https://f.wishabi.net/sub_pages/thumbnail/60106d22-5b09-11e5-b5bd-22000bb3a4ba/thumbnail_image_xlarge_s3_key",
    "correction_notices": []
  }
]

GET /flyerkit/v3.0/publication/:publication_id/pages

Returns the list of pages in a given publication. The width of the thumbnails in the response may vary to preserve image aspect ratios.

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.

URL Parameters

URL Parameter Type Notes
:publication_id Integer Unique identifier for the publication.

Response

Field Type Description
page Integer The page number, beginning at 1.
flyer_id Integer The flyer id of the page.
flyer_run_id Integer The flyer run id of the page.
image_150h_url URL URL to a page thumbnail 150 pixels high.
image_400h_url URL URL to a page thumbnail 400 pixels high.
image_2000h_url URL URL to a page thumbnail 2000 pixels high.
left Float The left coordinate of the page's bounding box.
top Float The top coordinate of the page's bounding box.
width Float The width of the page's bounding box.
height Float The height of the page's bounding box.

Example

$ curl https://api.flipp.com/flyerkit/v3.0/publication/PUBLICATION_ID/pages?access_token=3
[
  {
    "page" : 1,
    "flyer_id" : 348864,
    "flyer_run_id" : 47315,
    "image_150h_url" : "https://f.wishabi.net/sub_pages/thumbnail/60106d22-5b09-11e5-b5bd-22000bb3a4ba/thumbnail_image_150h_s3_key",
    "image_400h_url" : "https://f.wishabi.net/sub_pages/thumbnail/60106d22-5b09-11e5-b5bd-22000bb3a4ba/thumbnail_image_400h_s3_key",
    "image_2000h_url" : "https://f.wishabi.net/sub_pages/thumbnail/60106d22-5b09-11e5-b5bd-22000bb3a4ba/thumbnail_image_xlarge_s3_key",
    "left" : 0.0,
    "top" : 0.0,
    "width" : 2560.0,
    "height" : 2560.0
  }
]

GET /flyerkit/v3.0/publication/:publication_id/highlights

Returns the list of highlights in a given publication.

Highlights are special tags given to items which allow them to be highlighted on the front end (while other items/areas of the publication are darkened). For example, some merchants like all items made in the USA to be given a "Made in USA" highlight.

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.

URL Parameters

URL Parameter Type Notes
:publication_id Integer Unique identifier for the publication.

Response

Field Type Description
name String The name of the highlight.
left Float The left coordinate of the highlight's bounding box.
width Float The width of the highlight's bound box.
top Float The top coordinate of the highlight's bounding box.
height Float The height of the highlight's bounding box.

Example

$ curl https://api.flipp.com/flyerkit/v3.0/publication/PUBLICATION_ID/highlights?access_token=3
[
  {
    "name": "Grocery Aisle",
    "left": 10169.2,
    "width": 556.5,
    "top": 1989.54,
    "height": 469.6700000000001
  }
]

GET /flyerkit/v3.0/publication/:publication_id/categories

Returns the list of categories in a given publication.

The categories can be used to jump to a specific category in the publication. For example, if the publication has a grocery section, then the grocery category would be used to scroll to the start of the grocery section.

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.

URL Parameters

URL Parameter Type Notes
:publication_id Integer Unique identifier for the publication.

Response

Field Type Description
name String The name of the category.
left Float The left coordinate of the page's bounding box.
width Float The width of the page's bound box.
top Float The top coordinate of the page's bounding box.
height Float The height of the page's bounding box.
thumbnail_image_url URL A thumbnail image intended for a listing.

Example

$ curl https://api.flipp.com/flyerkit/v3.0/publication/PUBLICATION_ID/categories?access_token=3
[
  {
    "name": "Solid Surface Countertops",
    "left": 1997.98,
    "width": 3905.3799999999997,
    "top": 22.6047,
    "height": 2504.1353,
    "thumbnail_image_url": null
  }
]

GET /flyerkit/v3.0/publication/:publication_id/products

For a given publication id, returns a list of products in the publication. Text will be localized according to the locale of the publication.

Display Types

This endpoint requires a comma delimited list of item display types that are currently supported by the application connecting to the endpoint. If the display_type parameter is missing, then this endpoint will only return items with a display type of 1. See table below for a list of display types.

Display Type Number Description
1 Flyer item
3 Video (YouTube embedded URL or link to mp4 file)
5 Web Linkout (Link to external site)
7 Flyer page link (Link to another page in the flyer)
15 Iframe (Displays a URL in an Iframe)
25 Coupon (Retailer coupon displayed as a flyer item)

Relevant Fields for Each Display Type

Display Type 1 and 25 - Flyer Item and Coupon

Most fields returned by this endpoint apply to these types.

Display Type 3 - Video

{
  "video_type": 0,
  "video_url": "https://www.youtube.com/embed/ISkNSO71KIM?rel=0"
}

Display Type 5 - Linkout

{
  "web_url": "https://www.flipp.com"
}
{
  "page_destination": 3
}

Display Type 15 - Iframe

{
  "web_url": "https://www.flipp.com"
}

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.
page Integer? Show products on this page only.
display_type Integer? Comma delimited. Specify the type of flyer items to return.
postal_code Zip? The postal code to specify which region to fetch coupons from.

URL Parameters

URL Parameter Type Notes
:publication_id Integer Unique identifier for the publication.

Response

Field Type Description
id Integer Unique identifier for the product.
flyer_id Integer Flyer id that the product belongs to.
flyer_run_id Integer Identifier id for the circular.
name String Localized product name.
sale_story String Localized news story for the product.
current_price Decimal The current price for the product.
original_price Decimal The original price for the product.
dollars_off Decimal The advertised number of dollars off.
percent_off Decimal The advertised percent savings.
sku String The product stock keeping unit.
custom_id_field_1 String Custom field used by merchants to store custom info.
custom_id_field_2 String Custom field used by merchants to store custom info.
custom_id_field_3 String Custom field used by merchants to store custom info.
description String Localized text describing the product.
brand String The brand of the product.
pre_price_text String Localized text to place before price_text.
price_text String Localized text for the price.
post_price_text String Localized text to place after price_text.
valid_from Date Start of the product's validity period.
valid_to Date End of the product's validity period.
category String The category of the product.
current_price_range String Localized text of the product price range.
original_price_range String Localized text of the original range.
small_image_url URL A URL to a smaller image of the product.
medium_image_url URL A URL to a medium image of the product.
large_image_url URL A URL to a larger image of the product.
x_large_image_url URL A URL to a larger image of the product.
left Float Left coordinate of the bounding box.
top Float Top coordinate of the bounding box.
width Float Width of the product bounding box.
height Float Height of the product bounding box.
item_type Integer Display type of the flyer item.
page Integer Which page the item is on.
page_width Float Page width.
page_height Float Page height.
page_relative_left_offset Float Relative left offset of page.
page_relative_top_offset Float Relative top offset of page.
average_rating Integer Average rating of item.
images Array Array of product image URLs.
video_type Integer Type of video: 0 is youtube embedded URL; 1 is mp4 URL
video_url URL Video of product.
web_url URL Link to the external item page.
web_commission_url URL Link to the external page with tracking codes.
hosted_coupon_image URL Image of coupon for hosted experiences.
distribution_coupon_image URL Image of coupon for distribution experiences.
page_destination Integer Number of page that the item is pointing to.
coupons Array Array of matched coupons for the item.

Example

$ curl https://api.flipp.com/flyerkit/v3.0/publication/PUBLICATION_ID/products?access_token=3&display_type=1,3,5
[
  {
    "id": 7775353,
    "flyer_id": 47524,
    "flyer_run_id": 8329,
    "name": "Celestial Series Countertops",
    "sale_story": null,
    "current_price": null,
    "original_price": null,
    "dollars_off": null,
    "percent_off": null,
    "sku": null,
    "custom_id_field_1": null,
    "custom_id_field_2": null,
    "custom_id_field_3": null,
    "description": null,
    "brand": "Corinthian™",
    "pre_price_text": null,
    "price_text": null,
    "post_price_text": null,
    "valid_from": "2014-01-01",
    "valid_to": "2015-12-31",
    "category": "Kitchen",
    "current_price_range": null,
    "original_price_range": null,
    "small_image_url": "https://f.wishabi.net/flyer_items/7775353/1373462007/standard.jpg",
    "medium_image_url": "https://f.wishabi.net/flyer_items/7775353/1373462007/large.jpg",
    "large_image_url": "https://f.wishabi.net/flyer_items/7775353/1373462007/plus_large.jpg",
    "x_large_image_url": "https://f.wishabi.net/flyer_items/7775353/1373462007/extra_large.jpg",
    "left": 3990.63,
    "top": 1652.96,
    "width": 1294.6899999999996,
    "height": 857.8000000000002,
    "item_type": 1,
    "page": 3,
    "page_width": 1978,
    "page_height": 2560,
    "page_relative_left_offset": 34.63000000000011,
    "page_relative_top_offset": 1652.96,
    "average_rating": null,
    "images": [
      "https://f.wishabi.net/flyer_items/7775353/1373462007/extra_large.jpg"
    ],
    "video_type": null,
    "video_url": null,
    "web_url": null,
    "web_commission_url": null,
    "hosted_coupon_image": "https://f.wishabi.net/flyer_items/7775353/1373462007/extra_large.jpg",
    "distribution_coupon_image": "https://f.wishabi.net/flyer_items/7775353/1373462007/extra_large.jpg",
    "page_destination": null,
    "coupons": [
      {
        "flyer_item_id": 197289464,
        "coupon_id": 155559,
        "coupon_type": "amountoff",
        "loyalty_program_coupon_id": 198495,
        "loyalty_program_id": 305,
        "external_id": "293218",
        "sale_story": "save $0.50",
        "promotion_text": "Save $0.50 on any ONE (1) package of COTTONELLE® Toilet Paper (6-pack or larger)",
        "disclaimer_text": "Reproduction, alteration, proliferation, or sale of this coupon or its contents is strictly prohibited. Civil and criminal penalties up to $2,000,000 and/or imprisonment may apply. CONSUMER: LIMIT ONE (1) COUPON PER PURCHASE on product/quantity specified. CANNOT BE COMBINED with any other coupon. Any other use constitutes fraud. VOID IF COPIED, SCANNED, TRANSFERRED, AUCTIONED, PURCHASED OR SOLD. RETAILER: K-C will reimburse you the face value of this coupon plus $.08 handling if submitted in compliance with our Coupon Redemption Policy. Mail coupons or requests for Policy to: Kimberly-Clark 1112 P.O. Box 880001 El Paso, TX 88588-0001. Void where prohibited or restricted. Cash value 1/100 cent. Valid only in the USA, its Territories and Possessions. ® Registered Trademark and * Trademark of Kimberly-Clark Worldwide, Inc. © KCWW. C-016498",
        "brand_display_name": "Cottonelle",
        "valid_from": "2017-05-07T03:00:00-04:00",
        "valid_to": "2017-06-12T02:59:59-04:00",
        "image": "https://f.wishabi.net/coupon_translations/157052/1494130934/standard"
      },
    ]
  }
]

GET /flyerkit/v3.0/product/:product_id

Returns detailed information for the given product id. Localized text in the response will be in the locale of the product's publication.

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.
postal_code Zip? The postal code to specify which region to fetch coupons from.

URL Parameters

URL Parameter Type Notes
:product_id Integer Unique identifier for the product.

Response

Field Type Description
id Integer Unique identifier for the product.
flyer_id Integer Flyer id that the product belongs to.
brand String The brand of the flyer item.
name String Localized product name.
image_url URL Image url of the item.
cutout_image_url URL Image url of the cutout image.
description String Localized text describing the product.
current_price Decimal The current price for the product.
current_price_range String Localized text of the product price range.
pre_price_text String Localized text to place before price_text.
price_text String Localized text for the price.
post_price_text String Localized text to place after price_text.
category String The category of the product.
sale_story String Localized news story for the product.
dollars_off Decimal The advertised number of dollars off.
percent_off Decimal The advertised percent savings.
disclaimer_text String Disclaimer for the item.
original_price Decimal The original price for the product.
original_price_range Decimal The range of the original price.
valid_from Date The start of the validity period.
valid_to Date The end of the validity period.
video_type Integer Type of video: 0 is youtube embedded URL; 1 is mp4 URL
video_url URL URL for item video (embedded YouTube video or mp4 link).
sku String The product stock keeping unit.
hosted_coupon_image URL Image of coupon for hosted experiences.
custom_id_field_1 String Custom field used by merchants to store custom info.
custom_id_field_2 String Custom field used by merchants to store custom info.
custom_id_field_3 String Custom field used by merchants to store custom info.
left Float Left coordinate of the bounding box.
top Float Top coordinate of the bounding box.
width Float Width of the product bounding box.
height Float Height of the product bounding box.
web_url URL Link to the external item page.
item_type Integer Display type of the flyer item.
page Integer Which page the item is on.
average_rating Integer Average rating of item.
reviews Array Reviews of the product.
specs Array Product specifications.
features Array Product features and highlights.
coupons Array Array of matched coupons for the item.

Reviews Array

Field Type Description
title String The title of the review.
rating Float The rating of the review.
byline String The name of the author of the review.
date Date The date of the review.
body String The body of the review.

Specs Array

Field Type Description
name String The name of the spec.
value String The value of the spec.

Features Array

Field Type Description
text String The text that describes the feature.

Example

$ curl https://api.flipp.com/flyerkit/v3.0/product/PRODUCT_ID?access_token=3
{
  "id": 61395159,
  "flyer_id": 347991,
  "brand": "KitchenAid",
  "name": "KitchenAid Artisan 5-qt. Stand Mixer",
  "image_url": "https://f.wishabi.net/page_items/20716523/1425352660/extra_large.jpg",
  "cutout_image_url": "https://f.wishabi.net/page_items/20716523/1425352660/extra_large.jpg",
  "description": null,
  "current_price": null,
  "current_price_range": null,
  "pre_price_text": null,
  "price_text": null,
  "post_price_text": null,
  "category": "For the Home",
  "sale_story": null,
  "dollars_off": null,
  "percent_off": null,
  "disclaimer_text": null,
  "original_price": null,
  "original_price_range": null,
  "valid_from": null,
  "valid_to": null,
  "sku": "780-4069",
  "hosted_coupon_image": null,
  "custom_id_field_1": "N",
  "custom_id_field_2": null,
  "custom_id_field_3": null,
  "left": 12486.7,
  "top": 91.0685,
  "width": 1908.3999999999996,
  "height": 2174.9815000000003,
  "video_type": null,
  "video_url": null,
  "web_url": "https://www.jcpenney.com/for-the-home/shop-departments/kitchen-dining/shop-kitchen/small-appliances/kitchen-aid/stand-mixers/_/N-1nohrcZ60Z1z141ux/cat.jump?id=cat100240104&deptId=dept20000011&subcatId=cat100240016",
  "item_type": 1,
  "page": 6,
  "average_rating": null,
  "review_samples": [
      {
        "title": "A great product",
        "rating": 5,
        "byline": "John Smith",
        "date": "2011-02-14T19:06:43Z",
        "body": "I really enjoyed using this wheelbarrow on my last job."
      }
    ],
  "specs": [
    {
      "name": "Weight",
      "value": "50 lbs"
    }
  ],
  "features": [
    {
      "text": "Cast iron plating for improved durability."
    }
  ],
  "coupons": [
    {
      "flyer_item_id": 197289464,
      "coupon_id": 155559,
      "coupon_type": "amountoff",
      "loyalty_program_coupon_id": 198495,
      "loyalty_program_id": 305,
      "external_id": "293218",
      "sale_story": "save $0.50",
      "promotion_text": "Save $0.50 on any ONE (1) package of COTTONELLE® Toilet Paper (6-pack or larger)",
      "disclaimer_text": "Reproduction, alteration, proliferation, or sale of this coupon or its contents is strictly prohibited. Civil and criminal penalties up to $2,000,000 and/or imprisonment may apply. CONSUMER: LIMIT ONE (1) COUPON PER PURCHASE on product/quantity specified. CANNOT BE COMBINED with any other coupon. Any other use constitutes fraud. VOID IF COPIED, SCANNED, TRANSFERRED, AUCTIONED, PURCHASED OR SOLD. RETAILER: K-C will reimburse you the face value of this coupon plus $.08 handling if submitted in compliance with our Coupon Redemption Policy. Mail coupons or requests for Policy to: Kimberly-Clark 1112 P.O. Box 880001 El Paso, TX 88588-0001. Void where prohibited or restricted. Cash value 1/100 cent. Valid only in the USA, its Territories and Possessions. ® Registered Trademark and * Trademark of Kimberly-Clark Worldwide, Inc. © KCWW. C-016498",
      "brand_display_name": "Cottonelle",
      "valid_from": "2017-05-07T03:00:00-04:00",
      "valid_to": "2017-06-12T02:59:59-04:00",
      "image": "https://f.wishabi.net/coupon_translations/157052/1494130934/standard"
    },
  ]
}

GET /flyerkit/v3.0/stores/:merchant_identifier

Returns a list of the five closest stores to a given postal code.

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.
postal_code Zip Postal/Zip code of user.

URL Parameters

URL Parameter Type Notes
:merchant_identifier String Flipp's merchant name identifier.

Response

Field Type Description
id Integer The store's Flipp ID.
address String The store's address.
city String The store's city.
latitude Decimal The store's latitude.
longitude Decimal The store's longitude.
merchant_store_code String The store's code defined by the merchant.
name String The store's name.
phone_number String The store's phone number.
postal_code String The store's postal code.
province String The store's province.
sat_close String The store's Saturday closing hour.
sat_open String The store's Saturday opening hour.
sun_close String The store's Sunday closing hour.
sun_open String The store's Sunday opening hour.
mon_close String The store's Monday closing hour.
mon_open String The store's Monday opening hour.
tue_close String The store's Tuesday closing hour.
tue_open String The store's Tuesday opening hour.
wed_close String The store's Wednesday closing hour.
wed_open String The store's Wednesday opening hour.
thu_close String The store's Thursday closing hour.
thu_open String The store's Thursday opening hour.
fri_close String The store's Friday closing hour.
fri_open String The store's Friday opening hour.

Example

$ curl https://api.flipp.com/flyerkit/v3.0/stores/MERCHANT_IDENTIFIER?postal_code=90210&access_token=3
[
  {
    "address":"6220 Menard Drive",
    "city":"Casper",
    "fri_close":null,
    "fri_open":null,
    "id":3057,
    "latitude":"42.843126",
    "longitude":"-106.276372",
    "merchant_store_code":"3243",
    "mon_close":null,
    "mon_open":null,
    "name":"CASPER",
    "phone_number":null,
    "postal_code":"82609",
    "province":"WY",
    "sat_close":null,
    "sat_open":null,
    "sun_close":null,
    "sun_open":null,
    "thu_close":null,
    "thu_open":null,
    "tue_close":null,
    "tue_open":null,
    "wed_close":null,
    "wed_open":null
  }
]

GET /flyerkit/v3.0/copyright

Returns Flipp copyright.

POST /flyerkit/v3.0/coupons/get_clipped_coupons

Returns a list of clipped coupons for the provided loyalty card

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.

POST Body Parameters

Field Type Notes
loyalty_program_id Integer The Flipp ID for the loyalty card program
card_id String The requested loyalty card
merchant_id Integer Flipp's ID for the requested merchant

Response

Field Type Description
loyalty_program_coupons Array A list of all clipped coupons for the requested loyalty card

Example

$ curl -X POST -d '{"loyalty_program_id":5,"card_id":45100000,"merchant_id":4489}' https://api.flipp.com/flyerkit/v3.0/coupons/get_clipped_coupons?access_token=3
{
    "loyalty_program_coupons": [{
        "status": "clipped",
        "id": 198597
    }, {
        "status": "clipped",
        "id": 199183
    }]
}

POST /flyerkit/v3.0/coupons/clip

Clip a coupon to the provided loyalty card

Request

Query Parameters

Query Parameter Type Notes
access_token String Contact your Flipp account manager for token.

POST Body Parameters

Field Type Notes
external_id String The coupon reference ID from the merchant
coupon_id String The Flipp ID for the coupon from the manufacturer
loyalty_program_coupon_id Integer The Flipp ID for the issued manufacturer coupon for the requested merchant
loyalty_program_id Integer The Flipp ID for the loyalty card program
card_id String The requested loyalty card
merchant_id Integer Flipp's ID for the requested merchant

Response

Field Type Description
status String A message acknowledging the completion of a coupon clip.

Example

$ curl -X POST -d '{"external_id":"294973", "coupon_id": "156458", "loyalty_program_coupon_id":199183, "loyalty_program_id":5,"card_id":45100000,"merchant_id":4489}' https://api.flipp.com/flyerkit/v3.0/coupons/clip?access_token=3
{
  "status" : "ok"
}